# Receipts

The `Receipt` resource generates a receipt for [Transfers](#Transfers) or [Authorizations](#Authorizations). You can then send the `Receipt` via Email, SMS, or use the information from the `Receipt` to send it yourself. 

**Related Guides:**
- [Receipts for Online Payments](/guides/online-payments/payment-features/sending-receipts)


## Create a Receipt

 - [POST /receipts](https://docs.finix.com/api/receipts/createreceipt.md): Create a Receipt resource to generate a receipt for a
Transfer or Authorization. Receipts are
supported for DEBIT and REVERSAL transfers, as well as CREDIT transfers
from unreferenced refunds.

Include basic details such as total amount, buyer billing information, merchant
name, and contact info. 

Optionally, provide:

- an amount_breakdown of charges like subtotal, shipping, and surcharges
- an items list with product name, description, price, and quantity
- include additional_details as an array of key-value pairs to capture extra metadata, such as "Invoice Number" or "Service Date".

## Fetch a Receipt

 - [GET /receipts/{receipt_id}](https://docs.finix.com/api/receipts/getreceipt.md): Retrieve the details of an existing Receipt.

## Create a Delivery Attempt

 - [POST /receipts/{receipt_id}/delivery_attempts](https://docs.finix.com/api/receipts/createreceiptdeliveryattempt.md): Create a Delivery Attempt on an existing Receipt resource.

## List Receipt Delivery Attempts

 - [GET /receipts/{receipt_id}/delivery_attempts](https://docs.finix.com/api/receipts/listreceiptdeliveryattempts.md): List Delivery Attempts for a Receipt resource.

